declare type ObjectMap<K extends keyof any = keyof any, V = any> = {
    [id in K]: V;
};
declare type If<Condition extends boolean, Then, Else = never> = Condition extends true ? Then : Else;
declare type And<A extends boolean, B extends boolean> = If<A, If<B, true, false>, false>;
export declare type Extends<A, B> = A extends B ? true : false;
export declare type HasProperties<T, K extends keyof any> = Extends<T, ObjectMap<K>>;
export declare type Not<T extends boolean> = If<Extends<T, true>, false, true>;
export declare type Equals<A, B> = And<Extends<[A], [B]>, Extends<[B], [A]>>;
export declare function assert<T extends boolean>(expected: T): void;
export declare function assertTrue<T extends true>(): void;
export declare function assertFalse<T extends false>(): void;
export {};
